Linux Btrfs filesystem development
 help / color / mirror / Atom feed
From: Marcos Paulo de Souza <marcos.souza.org@gmail.com>
To: unlisted-recipients:; (no To-header on input)
Cc: dsterba@suse.com, linux-btrfs@vger.kernel.org,
	Marcos Paulo de Souza <mpdesouza@suse.com>,
	wqu@suse.com
Subject: [btrfs-progs PATCHv3 1/3] tests: common: Add check_dm_target_support helper
Date: Thu,  2 Jan 2020 23:12:13 -0300	[thread overview]
Message-ID: <20200103021215.30147-2-marcos.souza.org@gmail.com> (raw)
In-Reply-To: <20200103021215.30147-1-marcos.souza.org@gmail.com>

From: Marcos Paulo de Souza <mpdesouza@suse.com>

This function will be used later to test if dm-thin is supported.
Inspired by fstests.

Suggested-by: Qu Wenruo <wqu@suse.com>
Signed-off-by: Marcos Paulo de Souza <mpdesouza@suse.com>
---
 tests/common | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/tests/common b/tests/common
index ca098444..3ea8c260 100644
--- a/tests/common
+++ b/tests/common
@@ -322,6 +322,21 @@ check_global_prereq()
 	fi
 }
 
+# check if the targets passed as arguments are available, and if not just skip
+# the test
+check_dm_target_support()
+{
+	setup_root_helper
+
+	for target in "$@"; do
+		$SUDO_HELPER modprobe dm-$target >/dev/null 2>&1
+		$SUDO_HELPER dmsetup targets 2>&1 | grep -q ^$target
+		if [ $? -ne 0 ]; then
+			_not_run "This test requires dm $target support."
+		fi
+	done
+}
+
 check_image()
 {
 	local image
-- 
2.24.0


  reply	other threads:[~2020-01-03  2:09 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-03  2:12 [btrfs-progs PATCHv3 0/3] tests: do not fail if dm-thin is missing Marcos Paulo de Souza
2020-01-03  2:12 ` Marcos Paulo de Souza [this message]
2020-01-03  5:11   ` [btrfs-progs PATCHv3 1/3] tests: common: Add check_dm_target_support helper Qu WenRuo
2020-01-03  2:12 ` [btrfs-progs PATCHv3 2/3] tests: mkfs: 017: Use " Marcos Paulo de Souza
2020-01-03  2:12 ` [btrfs-progs PATCHv3 3/3] tests: mkfs: 005: " Marcos Paulo de Souza

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200103021215.30147-2-marcos.souza.org@gmail.com \
    --to=marcos.souza.org@gmail.com \
    --cc=dsterba@suse.com \
    --cc=linux-btrfs@vger.kernel.org \
    --cc=mpdesouza@suse.com \
    --cc=wqu@suse.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox